### Hierarchy

- Lexer

## Index

### Properties

- formatError
- has
- next
- reset
- save

## Properties

### formatError

formatError: function

- Defined in parser/grammar.ts:92

#### Type declaration

- - (token: Token): string

  - #### Parameters

    - ##### token: Token

    #### Returns string

### has

has: function

- Defined in parser/grammar.ts:93

#### Type declaration

- - (tokenType: string): boolean

  - #### Parameters

    - ##### tokenType: string

    #### Returns boolean

### next

next: function

- Defined in parser/grammar.ts:90

#### Type declaration

- - (): Token | undefined

  - #### Returns Token | undefined

### reset

reset: function

- Defined in parser/grammar.ts:89

#### Type declaration

- - (chunk: string, info: any): void

  - #### Parameters

    - ##### chunk: string

    - ##### info: any

    #### Returns void

### save

save: function

- Defined in parser/grammar.ts:91

#### Type declaration

- - (): any

  - #### Returns any

Generated using TypeDoc